Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.support
[Java] Class GroovyAwareNamedTransactionAttributeSource

    java.lang.Object
      org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource
          org.codehaus.groovy.grails.orm.support.GroovyAwareNamedTransactionAttributeSource

    public class GroovyAwareNamedTransactionAttributeSource
    extends org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource

Authors:
  Graeme Rocher

Since:
  1.1.1 Don't match Groovy synthetic methods

Method Summary
`org.springframework.transaction.interceptor.TransactionAttribute` | `getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)`
`protected boolean` | `isMatch(java.lang.String methodName, java.lang.String mappedName)`
`void` | `setTransactionalAttributes(java.util.Properties properties)`

Methods inherited from class org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource
org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#equals(java.lang.Object), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#toString(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#hashCode(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#setProperties(java.util.Properties), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#getTransactionAttribute(java.lang.reflect.Method, java.lang.Class), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#addTransactionalMethod(java.lang.String, org.springframework.transaction.interceptor.TransactionAttribute), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#setNameMap(java.util.Map), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(long, int), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(long), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#getClass(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#notify(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getTransactionAttribute

    @java.lang.SuppressWarnings("rawtypes")
    @java.lang.Override
    public org.springframework.transaction.interceptor.TransactionAttribute getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)

### isMatch

    @java.lang.Override
    protected boolean isMatch(java.lang.String methodName, java.lang.String mappedName)

### setTransactionalAttributes

    public void setTransactionalAttributes(java.util.Properties properties)

Groovy Documentation